<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Web Components</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../../assets/styles/index.css">
    <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
    <script type="module" src="https://cdn.jsdelivr.net/gh/zerodevx/zero-md@2/dist/zero-md.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="sidebar">
            <ul>
                <li><a class="title">Plugins</a></li>
                <li><a class="active" onclick="show(this, './Plugins')">Getting Started</a></li>
                <li><a id="first" onclick="show(this, './Plugins/Callback')">Callback Handler</a></li>
                <li><a onclick="show(this, './Plugins/Figure')">Custom Figure</a></li>
                <li><a onclick="show(this, './Plugins/Tags')">Custom Tags</a></li>
                <li><a class="title">Extensibility</a></li>
                <li><a onclick="show(this, './extensibility/Nav Menu')" id="extDoc">Navigation Menu</a></li>
                <li><a onclick="show(this, './extensibility/Panes')">Pane</a></li>
                <li><a onclick="show(this, './extensibility/Toolbar')">Toolbar</a></li>
            </ul>
        </div>
        <div class="content-container">
            <zero-md id="markdown" src="./Plugins/README.md"></zero-md>
            <div id="getStarted">
                <p>
                    To get started <a onclick="showFirst()">click here</a>
                </p>
            </div>
            <div id="additionalLinks" class="hide">
                <p>
                    To download sample <a id="downloadLink" target="_blank">click here</a>
                </p>
            </div>
            <div id="getStarted">
                <p>
                    To get started <a onclick="showFirst()">click here</a>
                </p>
            </div>
            <div id="additionalLinks" class="hide">
                <p>
                    To download sample <a id="downloadLink" target="_blank">click here</a>
                </p>
            </div>
        </div>
    </div>
    <script>
        // Opening all links in md file in new tab
        markdown.addEventListener('zero-md-rendered', function () {
            var anchors = markdown.root.querySelectorAll('a')
            anchors.forEach(a => {
                if (a.href.indexOf("https") >= 0) {
                    a.setAttribute('target', '_blank')
                }
            });
        });

        // Selects element from list and renders corresponding README.md
        function show(elem, path) {
            document.querySelectorAll('.active').forEach(e => {
                e.classList.remove("active");
            });

            elem.classList.add("active");
            markdown.src = path + "/README.md";
            downloadLink.href = path + "/sample.zip";

            var addtionalLicolumnnkElem = additionalLinks;
            if (path !== "./Plugins" && path !== "./extensibility") {
                getStarted.classList.add("hide");
                addtionalLinkElem.classList.remove("hide");
            } else {
                getStarted.classList.remove("hide");
                addtionalLinkElem.classList.add("hide");
            }
        }

        function showFirst() {
            show(first, "./Plugins/Callback");
        }
    </script>
</body>

</html>